[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#201959: marked as done (Libtool script used in your package needs updating)

Your message dated Sat, 10 Dec 2005 14:02:45 -0800
with message-id <E1ElCnl-0002D5-D5@spohr.debian.org>
and subject line Bug#201959: fixed in gtk-engines-begtk 1.0.1-6
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at maintonly) by bugs.debian.org; 18 Jul 2003 16:11:07 +0000
>From scott@elite.netsplit.com Fri Jul 18 11:08:17 2003
Return-path: <scott@elite.netsplit.com>
Received: from s123.ifi.uio.no (elite.netsplit.com) [] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 19dXmK-0006tJ-00; Fri, 18 Jul 2003 11:08:17 -0500
Received: from scott by elite.netsplit.com with local (Exim 3.36 #1 (Debian))
	id 19dXlw-00017T-00
	for <maintonly@bugs.debian.org>; Fri, 18 Jul 2003 18:07:52 +0200
From: Scott James Remnant <scott@netsplit.com>
To: maintonly@bugs.debian.org
Subject: Libtool script used in your package needs updating
Message-Id: <E19dXlw-00017T-00@elite.netsplit.com>
Sender: Scott James Remnant <scott@elite.netsplit.com>
Date: Fri, 18 Jul 2003 18:07:52 +0200
Delivered-To: maintonly@bugs.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_06_27 (

Package: gtk-engines-begtk
Version: 1.0.1-3
Severity: important

Version 3.39-1 of the file utility changed the format of the output line
for MIPS shared libraries again.

Older versions of libtool.m4 use the file utility and a regular expression
to determine if something is a shared library or not.  This regular
expression does not match the new file output format.

Newer versions of libtool instead use a much better checking method,
however your package has not updated to this version.

This means that on the mips and mipsel architectures the following
warning is produced during configure.

*** Warning: the command libtool uses to detect shared libraries,
*** /usr/bin/file, produces output that libtool cannot recognize.
*** The result is that libtool may fail to recognize shared libraries
*** as such.  This will affect the creation of libtool libraries that
*** depend on shared libraries, but programs linked with such libtool
*** libraries will work regardless of this problem.  Nevertheless, you
*** may want to report the problem to your system manager and/or to
*** bug-libtool@gnu.org

An updated libtool will produce the following message during configure
output on mips (a good method of checking whether you've updated or not).

checking how to recognise dependent libraries... pass_all

In order to update your package to the latest version of libtool,
ensure that libtool_1.4.3-10 is installed on your system and run the
following commands from the source directory.

	$ libtoolize -cf
	$ aclocal
	$ autoconf

You should also remove any \"libtool\" or \"ltconfig\" file left lying around
from a previous version of libtool.

Failure to run *all three* means you'll end up with a funted version
of libtool.

Also make sure that you run them in any sub-directory which ALSO runs
libtool ( find . -type f | grep -e ltconfig -e ltmain )

Who can now close Bug#160074

Received: (at 201959-close) by bugs.debian.org; 10 Dec 2005 22:12:05 +0000
>From katie@ftp-master.debian.org Sat Dec 10 14:12:05 2005
Return-path: <katie@ftp-master.debian.org>
Received: from katie by spohr.debian.org with local (Exim 4.50)
	id 1ElCnl-0002D5-D5; Sat, 10 Dec 2005 14:02:45 -0800
From: Aurelien Jarno <aurel32@debian.org>
To: 201959-close@bugs.debian.org
X-Katie: $Revision: 1.60 $
Subject: Bug#201959: fixed in gtk-engines-begtk 1.0.1-6
Message-Id: <E1ElCnl-0002D5-D5@spohr.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Sat, 10 Dec 2005 14:02:45 -0800
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-4.8 required=4.0 tests=BAYES_00,FROM_ENDS_IN_NUMS,
	HAS_BUG_NUMBER autolearn=no version=2.60-bugs.debian.org_2005_01_02

Source: gtk-engines-begtk
Source-Version: 1.0.1-6

We believe that the bug you reported is fixed in the latest version of
gtk-engines-begtk, which is due to be installed in the Debian FTP archive:

  to pool/main/g/gtk-engines-begtk/gtk-engines-begtk_1.0.1-6.diff.gz
  to pool/main/g/gtk-engines-begtk/gtk-engines-begtk_1.0.1-6.dsc
  to pool/main/g/gtk-engines-begtk/gtk-engines-begtk_1.0.1-6_mips.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 201959@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Aurelien Jarno <aurel32@debian.org> (supplier of updated gtk-engines-begtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sat, 10 Dec 2005 17:52:11 +0100
Source: gtk-engines-begtk
Binary: gtk-engines-begtk
Architecture: source mips
Version: 1.0.1-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
 gtk-engines-begtk - BeOS-like theme for GTK+
Closes: 201959
 gtk-engines-begtk (1.0.1-6) unstable; urgency=low
   * QA upload.
   * Libtool update for mips and kfreebsd-i386. Patched by hand as configure.in
     is not available (closes: bug#201959).
 6b659c96e8f1e671616b43488350cce5 622 graphics optional gtk-engines-begtk_1.0.1-6.dsc
 ce7517ccb43d1809ac198b4114000809 26569 graphics optional gtk-engines-begtk_1.0.1-6.diff.gz
 453394fa7a1e05b52a18a7316e29fcba 13872 graphics optional gtk-engines-begtk_1.0.1-6_mips.deb

Version: GnuPG v1.4.2 (GNU/Linux)


Reply to: